# $Revision: 1.12 $, $Date: 2002/06/03 13:22:57 $
#
# TODO:
# - add desktop file.
#
Summary:	OpenLook Virtual Window Manager
Summary(pl):	OpenLook Virtual Window Manager - Wirtualny Zarzdca Okien
Name:		olvwm
Version:	4.2n
Release:	3
License:	some BSD-like (see LEGAL_NOTICE)
Vendor:		JaeSub Hong
Group:		X11/Window Managers
Source0:	http://www.phys.columbia.edu/~flame/files/%{name}.%{version}.src.tar.gz
Source1:	%{name}-config.examples.tar.bz2
Source2:        %{name}.desktop
Patch0:		%{name}-pld.patch
BuildRequires:	XFree86-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	imake
BuildRequires:	xview
BuildRequires:	xview-devel
URL:		http://www.phys.columbia.edu/~flame/olvwm.html
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_wmpropsdir	%{_datadir}/wm-properties

%description
Olvwm (OPEN LOOK virtual window manager) is an ICCCM compliant window
manager supplied for use with the XView toolkit. It is derived from
olwm, the OPEN LOOK window manager supplied with the XView release.
This version of olvwm is based on version 3 of the XView release.

OpenLook was also look and feel style used on older Sun workstation,
before Sun discontinued it and started using CDE. Even as new window
managers emerged some - especially Unix veterans - stick to the olvwm
as it reminds them of good, old days when they were young hackers...

%description -l pl
Olvwm (OPEN LOOK virtual window manager) jest zgodnym z ICCCM zarzdc
okien przeznaczonym do toolkitu XView. Wywodzi si z olwm (OPEN LOOK
window manager) dostarczanego wraz z XView. Ta wersja olvwm bazuje na
wersji 3 XView.

OpenLook by stylem uywanym na starszych stacjach Suna, zanim Sun
wycofa si z niego i zacz uywa CDE. Szczeglmnie uniksowi
weterani chtnie pozostaj przy olvwm jako e przypomina im stare,
dobre czasy, kiedy byli modymi hackerami...

%prep
%setup -q -n %{name}.%{version} -a 1
%patch0 -p1

%build
xmkmf
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,5},%{_wmpropsdir}}

install olvwm $RPM_BUILD_ROOT%{_bindir}
install olwm.man $RPM_BUILD_ROOT%{_mandir}/man1/olwm.1
install olvwm.man $RPM_BUILD_ROOT%{_mandir}/man1/olvwm.1
install olvwmrc.man $RPM_BUILD_ROOT%{_mandir}/man5/olvwmrc.5

install %{SOURCE2} $RPM_BUILD_ROOT%{_wmpropsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README LEGAL_NOTICE NEW_CHANGES CHANGES olvwm.info
%doc %dir config.examples
%{_mandir}/man[15]/*
%attr(755,root,root) %{_bindir}/olvwm
%{_wmpropsdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: olvwm.spec,v $
Revision 1.12  2002/06/03 13:22:57  kloczek
- removed xview-static from BuildRequires (xview-devel now provides correct
  lib*.so symlinks).

Revision 1.11  2002/06/03 12:34:10  depesz
- added .desktop file
- rel++
- STBR

Revision 1.10  2002/06/03 10:09:33  depesz
- missing requires; STBR

Revision 1.9  2002/06/02 10:04:52  kloczek
- use new %doc and few cosmetics.
TODO: - add desktop file.

Revision 1.8  2002/05/30 17:47:20  depesz
- added missing prerequisite (imake)

Revision 1.7  2002/02/23 04:05:45  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/31 10:09:23  depesz
added:
- patch that allows compilation
- config examples
corrected:
- requires
- %files

Revision 1.3  2001/10/02 07:45:34  qboosh
- added Source0 URL
- License is not GPL
- pl translations
- try to make it FHS-compliant

Revision 1.2  2001/07/26 02:15:01  agaran
just adapterized..and fixed Group field

* Thu Aug 24 2000 Andy C. Brandt <andy@uranos.eu.org>
- created this package from sources
